package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.FlowChartRoleMapper;
import com.lz.modules.flow.entity.FlowChartRole;
import com.lz.modules.flow.service.FlowChartRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 流程节点权限对应关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-14
*/

@Service
public class FlowChartRoleServiceImpl extends ServiceImpl<FlowChartRoleMapper, FlowChartRole> implements FlowChartRoleService {


    @Autowired
	private FlowChartRoleMapper flowChartRoleMapper;



	@Override
	public FlowChartRole selectFlowChartRoleById(Long id){
		return flowChartRoleMapper.selectFlowChartRoleById(id);
	}



	@Override
	public Long insertFlowChartRole(FlowChartRole flowChartRole){
		return flowChartRoleMapper.insertFlowChartRole(flowChartRole);
	}



	@Override
	public int updateFlowChartRoleById(FlowChartRole flowChartRole){
		return flowChartRoleMapper.updateFlowChartRoleById(flowChartRole);
	}



	@Override
	public int updateCoverFlowChartRoleById(FlowChartRole flowChartRole){
		return flowChartRoleMapper.updateCoverFlowChartRoleById(flowChartRole);
	}



	@Override
	public int deleteFlowChartRoleById(Long id){
		return flowChartRoleMapper.deleteFlowChartRoleById(id);
	}

	@Override
	public List<FlowChartRole> selectFlowChartRolesByChartIdAndType(Long id, int type){
		return flowChartRoleMapper.selectFlowChartRolesByChartIdAndType(id, type);
	}



}
